Skip to Content
homemade
Dashboard

Wake a VM

POST
/api/vms/{vmId}/wake

Wakes an asleep VM. Poll GET /api/vms/{vmId} until state is running.

Authorization

apiKey
headerAuthorizationBearer <hmk_…>

An API key from the dashboard or homemade api-key create.

Path Parameters

vmId*string

Response Body

Waking, or already running.

application/json
  1. response
ok*boolean
pending?boolean

Accepted; the change finishes in the background.

state*string
Value in"queued""placing""booting""injecting""running""asleep""deep_sleeping""deep_asleep""stopped""failed"
Example Request
curl -X POST 'https://api.homemade.dev/api/vms/string/wake'
Example Response
{  "ok": true,  "pending": true,  "state": "queued"}